https://pantsbuild.org/ logo
#general
Title
# general
t

tall-country-45957

11/16/2022, 3:00 PM
This message was deleted.
b

brash-student-40401

11/16/2022, 3:01 PM
The Target I'm calling:
Copy code
pex_binary(
    name="app",
    entry_point="main.py",
    dependencies=[
        "src/vendor/python:reqs#setuptools",
    ],
    restartable=True,
)
And the full error trace:
Copy code
Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 130, in _get_module_details
    spec = importlib.util.find_spec(mod_name)
  File "/usr/lib/python3.8/importlib/util.py", line 94, in find_spec
    parent = __import__(parent_name, fromlist=['__path__'])
ModuleNotFoundError: No module named 'services'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/vscode/.pex/unzipped_pexes/accb378cc231f3c8a1e9b6444876ad54029b0d0f/__main__.py", line 103, in <module>
    bootstrap_pex(__entry_point__, execute=__execute__, venv_dir=__venv_dir__)
  File "/home/vscode/.pex/unzipped_pexes/accb378cc231f3c8a1e9b6444876ad54029b0d0f/.bootstrap/pex/pex_bootstrapper.py", line 601, in bootstrap_pex
    pex.PEX(entry_point).execute()
  File "/home/vscode/.pex/unzipped_pexes/accb378cc231f3c8a1e9b6444876ad54029b0d0f/.bootstrap/pex/pex.py", line 541, in execute
    sys.exit(self._wrap_coverage(self._wrap_profiling, self._execute))
  File "/home/vscode/.pex/unzipped_pexes/accb378cc231f3c8a1e9b6444876ad54029b0d0f/.bootstrap/pex/pex.py", line 448, in _wrap_coverage
    return runner(*args)
  File "/home/vscode/.pex/unzipped_pexes/accb378cc231f3c8a1e9b6444876ad54029b0d0f/.bootstrap/pex/pex.py", line 479, in _wrap_profiling
    return runner(*args)
  File "/home/vscode/.pex/unzipped_pexes/accb378cc231f3c8a1e9b6444876ad54029b0d0f/.bootstrap/pex/pex.py", line 568, in _execute
    return self.execute_entry(
  File "/home/vscode/.pex/unzipped_pexes/accb378cc231f3c8a1e9b6444876ad54029b0d0f/.bootstrap/pex/pex.py", line 752, in execute_entry
    return self.execute_module(entry_point.module)
  File "/home/vscode/.pex/unzipped_pexes/accb378cc231f3c8a1e9b6444876ad54029b0d0f/.bootstrap/pex/pex.py", line 760, in execute_module
    runpy.run_module(module_name, run_name="__main__", alter_sys=True)
  File "/usr/lib/python3.8/runpy.py", line 203, in run_module
    mod_name, mod_spec, code = _get_module_details(mod_name)
  File "/usr/lib/python3.8/runpy.py", line 136, in _get_module_details
    raise error(msg.format(mod_name, type(ex).__name__, ex)) from ex
ImportError: Error while finding module specification for 'services.app.main' (ModuleNotFoundError: No module named 'services')
3 Views